Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum Druplet.RunningMode

    java.lang.Object
      java.lang.Enum<Druplet.RunningMode>
          org.drupal.project.async_command.Druplet.RunningMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Druplet.RunningMode>

Enclosing class:
  Druplet

    public static enum Druplet.RunningMode

extends java.lang.Enum<Druplet.RunningMode>

Various running mode of the Druplet

Enum Constant Summary
`NONSTOP` Continuously retrieve new commands from the queue, execute them in parallel (serial just means thread=1), and exit only when told to.
`ONCE` Only execute the next available command in the queue, and then exit.
`PARALLEL` Retrieves a list of commands, execute them in parallel, and then exit.
`SERIAL` Retrieve a list of commands, execute them in serial, and then exit.

Method Summary
`static Druplet.RunningMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Druplet.RunningMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ONCE

    public static final Druplet.RunningMode ONCE

  Only execute the next available command in the queue, and then exit.

### SERIAL

    public static final Druplet.RunningMode SERIAL

  Retrieve a list of commands, execute them in serial, and then exit.

### PARALLEL

    public static final Druplet.RunningMode PARALLEL

  Retrieves a list of commands, execute them in parallel, and then exit.

### NONSTOP

    public static final Druplet.RunningMode NONSTOP

  Continuously retrieve new commands from the queue, execute them in parallel (serial just means thread=1), and exit only when told to.

Method Detail

### values

    public static Druplet.RunningMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Druplet.RunningMode c : Druplet.RunningMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Druplet.RunningMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD